at.chipkarte.client.elgaad.soap

## Class Impfung

- Object
- - at.chipkarte.client.elgaad.soap.Impfung

-     public class Impfung
      extends Object

  Daten zur Impfung.
  Hinweis: Mit "Update Immunisierungsstatus" im Zusammenhang mit einer Impfung ist die Einmeldung einer Impfung gemeint (entsprechende Dokumenten-Klasse) und nicht der Aufruf der Funktion immunisierungseintraegeAktualisieren(). Jeder neuer Eintrag (impfungSpeichern) bedeutet ein Update des gesamten e-Impfpasses und entspricht damit einem "Update Immunisierungsstatus".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Impfung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `getAnwendungsart()` Gibt an, auf welche Art ein Impfstoff angewendet wurde ("routeCode").
    `AuthorBody` | `getAuthor()` Für die Impfung verantwortlicher GDA.
    `BerechtigterBearbeiter` | `getBerechtigterBearbeiter()` Berechtigt zur Korrektur.
    `DokumentReferenz` | `getDokumentReferenz()` Dokument-Referenz auf den Impfpass.
    `String` | `getDosierungEinheit()` Einheit der Dosierung.
    `Double` | `getDosierungMenge()` Menge des verabreichten Impfstoffes.
    `EintragendePerson` | `getEintragendePerson()` Person, die das Dokument geschrieben hat.
    `Teilnehmer` | `getImpfenderGDA()` Person, die die Impfung durchgeführt hat, zu der der Impfende GDA gehört Siehe `Teilnehmer`.
    `Code` | `getImpfprogramm()` Code des Impfprogramms, mit dem die Impfung abgerechnet wird.
    `Impfschema` | `getImpfschema()` Angaben zum Impfschema.
    `Code` | `getImpfsetting()` Code der Umgebung, in der die Impfung stattgefunden hat, etwa eine Impfstraße.
    `Impfstoff` | `getImpfstoff()` Impfstoff.
    `KorrigierendePerson` | `getKorrigierendePerson()` Für die fachliche Richtigkeit der Korrektur verantwortlich.
    `NachtragendePerson` | `getNachtragendePerson()` Verantwortlicher für die nachträgliche Eintragung einer Impfung.
    `ImpfungVerrechnungsinformation` | `getVerrechnungsinformation()` Information über Impfgutschein oder Verrechenbarkeit mit dem Land.
    `String` | `getZeitpunkt()` Zeitpunkt der Impfung.
    `boolean` | `isAutorUnleserlich()` Gibt an, dass der für die Impfung verantwortliche GDA in der Primärdokumentation unleserlich ist.
    `boolean` | `isNachtragung()` Kennzeichen ob es sich um eine Nachtragung handelt.
    `void` | `setAnwendungsart(Code value)`
    `void` | `setAuthor(AuthorBody author)`
    `void` | `setAutorUnleserlich(boolean autorUnleserlich)`
    `void` | `setBerechtigterBearbeiter(BerechtigterBearbeiter bb)`
    `void` | `setDokumentReferenz(DokumentReferenz dokumentReferenz)`
    `void` | `setDosierungEinheit(String dosierungEinheit)`
    `void` | `setDosierungMenge(Double dosierungMenge)`
    `void` | `setEintragendePerson(EintragendePerson ep)`
    `void` | `setImpfenderGDA(Teilnehmer impfenderGDA)`
    `void` | `setImpfprogramm(Code impfprogramm)`
    `void` | `setImpfschema(Impfschema impfschema)`
    `void` | `setImpfsetting(Code impfsetting)`
    `void` | `setImpfstoff(Impfstoff impfstoff)`
    `void` | `setKorrigierendePerson(KorrigierendePerson kp)`
    `void` | `setNachtragendePerson(NachtragendePerson nachtragendePerson)`
    `void` | `setNachtragung(boolean nachtragung)`
    `void` | `setVerrechnungsinformation(ImpfungVerrechnungsinformation verrechnungsinformation)`
    `void` | `setZeitpunkt(String zeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Impfung

          public Impfung()

  - ### Method Detail

    - #### getZeitpunkt

          public String getZeitpunkt()

      Zeitpunkt der Impfung.
      Angabe: Muss.
      Hinweis: Wenn die Zeit nicht bekannt ist, darf keine "erfundene" Zeit angehängt werden. Im Fall der Dokumentenklasse "Update Immunisierungsstatus" mit Nachtrag KANN der Impfzeitpunkt zusätzlich auch im Format YYYY (jahrgenau) oder YYYYMM (monatsgenau) strukturiert sein. Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Zeitpunkt der Impfung

    - #### setZeitpunkt

          public void setZeitpunkt(String zeitpunkt)

    - #### getDosierungMenge

          public Double getDosierungMenge()

      Menge des verabreichten Impfstoffes.
      Angabe: Kann.
      Returns:
        Menge

    - #### setDosierungMenge

          public void setDosierungMenge(Double dosierungMenge)

    - #### getDosierungEinheit

          public String getDosierungEinheit()

      Einheit der Dosierung.
      Angabe: Kann.
      mögliche Werte: siehe Terminologieserver ValueSet ELGA_MedikationMengenart_VS.
      Returns:
        Einheit der Dosierung

    - #### setDosierungEinheit

          public void setDosierungEinheit(String dosierungEinheit)

    - #### getImpfstoff

          public Impfstoff getImpfstoff()

      Impfstoff. Siehe `Impfstoff`.
      Angabe: Muss.
      Returns:
        Impfstoff

    - #### setImpfstoff

          public void setImpfstoff(Impfstoff impfstoff)

    - #### getImpfenderGDA

          public Teilnehmer getImpfenderGDA()

      Person, die die Impfung durchgeführt hat, zu der der Impfende GDA gehört Siehe `Teilnehmer`.
      Angabe: Kann
      Returns:
        Person, die die Impfung durchgeführt hat

    - #### setImpfenderGDA

          public void setImpfenderGDA(Teilnehmer impfenderGDA)

    - #### getAuthor

          public AuthorBody getAuthor()

      Für die Impfung verantwortlicher GDA. Siehe `AuthorBody`.
      Angabe: Bedingt: Bei `Nachtragung` gleich `false` werden die Autor-Daten aus den Dialogdaten übernommen. Wenn der Autor der Dokumentation nicht der impfende GDA ist, muss der Author bei "Update Immunisierungsstatus" manuell gesetzt werden. Bei `Nachtragung` gleich `true` muss der Autor angegeben werden, falls `autorUnleserlich` gleich `false` oder nicht gesetzt ist.
      Returns:
        Autor

    - #### setAuthor

          public void setAuthor(AuthorBody author)

    - #### getNachtragendePerson

          public NachtragendePerson getNachtragendePerson()

      Verantwortlicher für die nachträgliche Eintragung einer Impfung. Siehe `NachtragendePerson`.
      Angabe: Bedingt: Muss gesetzt sein, wenn bei "Update Immunisierungsstatus" eine Impfung nachgetragen wird. Nicht erlaubt bei "Update Immunisierungsstatus" ohne Nachtragung.
      Returns:
        Nachtragende Person

    - #### setNachtragendePerson

          public void setNachtragendePerson(NachtragendePerson nachtragendePerson)

    - #### getKorrigierendePerson

          public KorrigierendePerson getKorrigierendePerson()

      Für die fachliche Richtigkeit der Korrektur verantwortlich. Siehe `KorrigierendePerson`.
      Angabe: Nicht erlaubt. Ausgabe: Kann. Bei "Kompletter Immunisierungsstatus".
      Returns:
        KorrigierendePerson

    - #### setKorrigierendePerson

          public void setKorrigierendePerson(KorrigierendePerson kp)

    - #### getBerechtigterBearbeiter

          public BerechtigterBearbeiter getBerechtigterBearbeiter()

      Berechtigt zur Korrektur. Siehe `BerechtigterBearbeiter`.
      Angabe: Nicht erlaubt. Ausgabe: Kann. Bei "Kompletter Immunisierungsstatus".
      Returns:
        BerechtigterBearbeiter

    - #### setBerechtigterBearbeiter

          public void setBerechtigterBearbeiter(BerechtigterBearbeiter bb)

    - #### getEintragendePerson

          public EintragendePerson getEintragendePerson()

      Person, die das Dokument geschrieben hat. Siehe `EintragendePerson`.
      Angabe: Nicht erlaubt. Ausgabe: Kann. Bei "Kompletter Immunisierungsstatus".
      Returns:
        EintragendePerson

    - #### setEintragendePerson

          public void setEintragendePerson(EintragendePerson ep)

    - #### getVerrechnungsinformation

          public ImpfungVerrechnungsinformation getVerrechnungsinformation()

      Information über Impfgutschein oder Verrechenbarkeit mit dem Land. Siehe `ImpfungVerrechnungsinformation`.
      Angabe: Kann. Darf bei Nachtragung nicht angegeben werden.
      Returns:
        Verrechnungsinformation

    - #### setVerrechnungsinformation

          public void setVerrechnungsinformation(ImpfungVerrechnungsinformation verrechnungsinformation)

    - #### getImpfschema

          public Impfschema getImpfschema()

      Angaben zum Impfschema. Siehe `Impfschema`.
      Angabe: Muss.
      Returns:
        Impfschema

    - #### setImpfschema

          public void setImpfschema(Impfschema impfschema)

    - #### getDokumentReferenz

          public DokumentReferenz getDokumentReferenz()

      Dokument-Referenz auf den Impfpass. Siehe `DokumentReferenz`.
      Angabe: Kann.
      Returns:
        DokumentReferenz

    - #### setDokumentReferenz

          public void setDokumentReferenz(DokumentReferenz dokumentReferenz)

    - #### isNachtragung

          public boolean isNachtragung()

      Kennzeichen ob es sich um eine Nachtragung handelt. Dieser Parameter wird nur beim Update berücksichtigt. Angabe: Muss. Bei `true`: Der Autor der Impfung (`Auther`) ist optional bzw. muss nicht vollständig angegeben werden (entweder authorPerson (`AuthorPerson`) oder Institution (`Institution`) sind ausreichend). Bei `false`: Der Autor der Impfung Pflicht und wird mit den Dialogdaten gesetzt, sofern nicht explizit anders angegeben.
      Returns:

    - #### setNachtragung

          public void setNachtragung(boolean nachtragung)

    - #### getImpfprogramm

          public Code getImpfprogramm()

      Code des Impfprogramms, mit dem die Impfung abgerechnet wird.
      Angabe: Kann. mögliche Werte: siehe Terminologieserver ValueSet eImpf_Zusatzklassifikation_Impfprogramm_VS .
      Returns:
        Impfprogramm

    - #### setImpfprogramm

          public void setImpfprogramm(Code impfprogramm)

    - #### getImpfsetting

          public Code getImpfsetting()

      Code der Umgebung, in der die Impfung stattgefunden hat, etwa eine Impfstraße.
      Angabe: Kann. mögliche Werte: siehe Terminologieserver ValueSet eImpf_Zusatzklassifikation_Impfsetting_VS.
      Returns:
        ImpfSetting

    - #### setImpfsetting

          public void setImpfsetting(Code impfsetting)

    - #### isAutorUnleserlich

          public boolean isAutorUnleserlich()

      Gibt an, dass der für die Impfung verantwortliche GDA in der Primärdokumentation unleserlich ist. Nur bei Nachtragung.
      Angabe: Bedingt: falls `Nachtragung` = true und `Author` nicht angegeben ist, muss dieses Feld den Wert true haben.
      Returns:
        autorUnleserlich

    - #### setAutorUnleserlich

          public void setAutorUnleserlich(boolean autorUnleserlich)

    - #### getAnwendungsart

          public Code getAnwendungsart()

      Gibt an, auf welche Art ein Impfstoff angewendet wurde ("routeCode"). Angabe: Kann, mögliche Werte: siehe Terminologieserver ValueSet eImpf_MedikationArtAnwendung (z. B. Intradermal)

    - #### setAnwendungsart

          public void setAnwendungsart(Code value)